KDE 4.9 PyKDE API Reference

- KDE's Python API

# GeoDataGroundOverlay Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.GeoDataOverlay → Marble.GeoDataFeature → Marble.GeoDataObject → Marble.GeoNode
Namespace: Marble

## Detailed Description

## Methods
| __init__ (self)
| __init__ (self, Marble.GeoDataGroundOverlay other)
float | altitude (self)
Marble.AltitudeMode | altitudeMode (self)
Marble.GeoDataLatLonBox | latLonBox (self)
QString | nodeType (self)
| setAltitude (self, float altitude)
| setAltitudeMode (self, Marble.AltitudeMode altitudeMode)
| setLatLonBox (self, Marble.GeoDataLatLonBox box)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | Marble.GeoDataGroundOverlay | other
| ) |  |  |

float altitude | ( |  | self ) |

Marble.AltitudeMode altitudeMode | ( |  | self ) |

Marble.GeoDataLatLonBox latLonBox | ( |  | self ) |

QString nodeType | ( |  | self ) |

Provides type information for downcasting a GeoNode

setAltitude | ( | self, |
|  | float | altitude
| ) |  |  |

setAltitudeMode | ( | self, |
|  | Marble.AltitudeMode | altitudeMode
| ) |  |  |

setLatLonBox | ( | self, |
|  | Marble.GeoDataLatLonBox | box
| ) |  |  |